Subject: Re: [PATCH] mISDN: Fix wrong usage of flush_work_sync while holding locks

From: Karsten Keil <[email-masked]>
Date: Thu, 13 Sep 2012 21:50:49 +0200

Am 13.09.2012 21:06, schrieb David Miller:
> From: David Miller <[email-masked]>
> Date: Thu, 13 Sep 2012 14:59:37 -0400 (EDT)
> 
>> From: Karsten Keil <[email-masked]>
>> Date: Thu, 13 Sep 2012 16:36:20 +0200
>>
>>> It is a bad idea to hold a spinlock and call flush_work_sync.
>>> Move the workqueue cleanup outside the spinlock and use cancel_work_sync,
>>> on closing the channel this seems to be the more correct function.
>>> Remove the never used and constant return value of mISDN_freebchannel.
>>>
>>> Signed-off-by: Karsten Keil <[email-masked]>
>>> Cc: <[email-masked]>
>>
>> Applied, thanks.
> 
> BTW, about -stable:
> 
> 1) Even if it were appropriate to submit this directly to -stable,
>    [email-masked] is not the correct email address and you must
>    have seen the bounce produced by trying to send email there.
> 
>    Rather, [email-masked] is the correct address.
> 
> 2) I queue up and submit networking bug fixes for -stable myself so
>    you should not submit them directly but rather make a request that
>    I add your patch to my networking -stable queue.
> 

OK, then I will put something like, "Should be considered for stable
too" in the comment and do not add the CC: [email-masked]
for the next time.

Thanks.